Cards & Wallets · Digital Wallets · Google Pay

Google Pay Payouts

The Payout request allows credits to be made to a Customer’s Google Pay account without referencing an original transaction.

You don’t need to reference an original payment or authorisation in order to request a Payout.

When using Your Payment Page

Use our payout API to make credits to a Google Pay payment method. You will first need to integrate with Google to retrieve the payment method data. See Getting started with Google Pay for more details.

The payout endpoint

Send the payout to POST /acceptor/rest/transactions/{instId}/payout, with the payment method data Google returned — or a saved account token — in paymentMethod.googlepay. The full request and response definition is on Cards API endpoints.

A payout is not authenticated, so neither authorisation method goes through 3-D Secure here; the response differs only in the payment method data it returns.

Payouts to a Google Pay payment method

Process a payout with a Google Pay non-tokenized card payment method
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/payout
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "apiVersion" : "2.0",
      "paymentData" : {
        "token" : "{\"signature\":\"MEUCIQCjDhW/ZGifuHxQPUIksvEoUMl1vxq1xy+wpL6zlPxTqAIgWFjOSevAZ+wjcTShTOmmESunBuiJ7PWSQvTxZcrE1Xc\\u003d\",\"intermediateSigningKey\":{\"signedKey\":\"{\\\"keyValue\\\":\\\"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE8//FzVXv9dzJBSwVZtGXuXGHlORyTneqvnj1Ec6YVtlqqMCH5MOYnJaciO36GTRT7HWSiiNGOxk65mL9MRcCJg\\\\u003d\\\\u003d\\\",\\\"keyExpiration\\\":\\\"1621673484318\\\"}\",\"signatures\":[\"MEUCICUwA4y879pJhr9VKsuK4Eg+PDWs4mePEVAhKTH+a+6RAiEAllEVchPlztA5uJQWxPT9a+VPM1a6Qa2XX+A8RfNDqnE\\u003d\"]},\"protocolVersion\":\"ECv2\",\"signedMessage\":\"{\\\"encryptedMessage\\\":\\\"wyWQoxmAv61SoaJ+akCl6m0D3llPsjYQ058EDwCCjnFmwGzESQwh0ZTA2E6FW6EbcAWsi228+aY4bQXbaj+Em0qtrnsInMqtk0mmN1jXgKUJK//nlnO43DaoqEyJtjYllOdJmDAyF5CIJTB2YUJ3hfGzXi44t+Wth5PH9FPo554Z14tKkiKDFCM2uARcTQ+FLBQHBFRpcvmq7wykUgISBPqtZfP9G0gof/TCBBhyRAjkiNKTBtLgtfuR6jFOjmL0PVCPJRTHT1i2n9HM0uJ9BtmrZpaY6GFxLWe6SuZpZK8WX4V74SaUVY8EBfeVuliuwEpntEVWLi8EpcRzdI5wzyCxvy41eMnpTYJBdYLY62+aqJlOObAADHEYlE93MFQZ4DCVjqFqLgedzqxprANPqwWTJvpwmO3/E8X3nrjomblKpF3RW5Ucc37p6OY+gRPDt0lD1vA5Kn1w9dYcBMM2mTfIRPVQcyW7wDUu2MxOLd1w1AIA2LL8fv8XR3H+hPQR+aVRO300cDVBYOUxVytI4gamaS+m00JVWYOHHLDl2dmGkowla/OhdV58nev6ATpT9CZa\\\",\\\"ephemeralPublicKey\\\":\\\"BM80YY9H0U2VmpnWC/g8ywMDRSz4/4ckuRD7Hp0R0KuDfo1PO200Lg67L/SBfw2LYA28ZFDNjXE03XVhNHSnYaY\\\\u003d\\\",\\\"tag\\\":\\\"28Rk0ykmO3XeN0IIBPtOA+epv1nRo1EzraVUmL+jrJQ\\\\u003d\\\"}\"}"
      },
      "paymentMethod" : {
        "displayName" : "Visa •••• 1111",
        "network" : "VISA",
        "details" : "1111",
        "cardHolderName" : "Mr Test"
      }
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/payout" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "apiVersion" : "2.0",
      "paymentData" : {
        "token" : "{\"signature\":\"MEUCIQCjDhW/ZGifuHxQPUIksvEoUMl1vxq1xy+wpL6zlPxTqAIgWFjOSevAZ+wjcTShTOmmESunBuiJ7PWSQvTxZcrE1Xc\\u003d\",\"intermediateSigningKey\":{\"signedKey\":\"{\\\"keyValue\\\":\\\"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE8//FzVXv9dzJBSwVZtGXuXGHlORyTneqvnj1Ec6YVtlqqMCH5MOYnJaciO36GTRT7HWSiiNGOxk65mL9MRcCJg\\\\u003d\\\\u003d\\\",\\\"keyExpiration\\\":\\\"1621673484318\\\"}\",\"signatures\":[\"MEUCICUwA4y879pJhr9VKsuK4Eg+PDWs4mePEVAhKTH+a+6RAiEAllEVchPlztA5uJQWxPT9a+VPM1a6Qa2XX+A8RfNDqnE\\u003d\"]},\"protocolVersion\":\"ECv2\",\"signedMessage\":\"{\\\"encryptedMessage\\\":\\\"wyWQoxmAv61SoaJ+akCl6m0D3llPsjYQ058EDwCCjnFmwGzESQwh0ZTA2E6FW6EbcAWsi228+aY4bQXbaj+Em0qtrnsInMqtk0mmN1jXgKUJK//nlnO43DaoqEyJtjYllOdJmDAyF5CIJTB2YUJ3hfGzXi44t+Wth5PH9FPo554Z14tKkiKDFCM2uARcTQ+FLBQHBFRpcvmq7wykUgISBPqtZfP9G0gof/TCBBhyRAjkiNKTBtLgtfuR6jFOjmL0PVCPJRTHT1i2n9HM0uJ9BtmrZpaY6GFxLWe6SuZpZK8WX4V74SaUVY8EBfeVuliuwEpntEVWLi8EpcRzdI5wzyCxvy41eMnpTYJBdYLY62+aqJlOObAADHEYlE93MFQZ4DCVjqFqLgedzqxprANPqwWTJvpwmO3/E8X3nrjomblKpF3RW5Ucc37p6OY+gRPDt0lD1vA5Kn1w9dYcBMM2mTfIRPVQcyW7wDUu2MxOLd1w1AIA2LL8fv8XR3H+hPQR+aVRO300cDVBYOUxVytI4gamaS+m00JVWYOHHLDl2dmGkowla/OhdV58nev6ATpT9CZa\\\",\\\"ephemeralPublicKey\\\":\\\"BM80YY9H0U2VmpnWC/g8ywMDRSz4/4ckuRD7Hp0R0KuDfo1PO200Lg67L/SBfw2LYA28ZFDNjXE03XVhNHSnYaY\\\\u003d\\\",\\\"tag\\\":\\\"28Rk0ykmO3XeN0IIBPtOA+epv1nRo1EzraVUmL+jrJQ\\\\u003d\\\"}\"}"
      },
      "paymentMethod" : {
        "displayName" : "Visa •••• 1111",
        "network" : "VISA",
        "details" : "1111",
        "cardHolderName" : "Mr Test"
      }
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "MANAGE",
    "authResponse" : {
      "acquirerName" : "Chase Paymentech",
      "gatewayReference" : "120gbpcc9f819881b4078ACee1000z00",
      "gatewayCode" : "000.000.000",
      "gatewayMessage" : "Transaction succeeded",
      "status" : "AUTHORISED"
    },
    "route" : "PAYON"
  },
  "paymentMethod" : {
    "registered" : true,
    "card" : {
      "cardToken" : "MT_KzyCn12bSmSAa5JUPx8zhw",
      "cardFingerprint" : "Q1MtNjNkYTQ2ZWItZjMxOS00NzE2LThmODQtMjZkZDUwZjE5NjA3",
      "new" : true,
      "cardType" : "VISA_CREDIT",
      "cardUsageType" : "CREDIT",
      "cardScheme" : "VISA",
      "cardCategory" : "CREDIT",
      "maskedPan" : "411111******1111",
      "expiryDate" : "1226",
      "issuer" : "UNKNOWN",
      "issuerCountry" : "GBR",
      "cardHolderName" : "Mr Test",
      "source" : "GOOGLEPAY"
    },
    "billingAddress" : { },
    "paymentClass" : "CARD"
  },
  "customFields" : {
    "fieldState" : [ ]
  },
  "customer" : {
    "id" : "10503",
    "merchantRef" : "mer_cust_131241412"
  },
  "transaction" : {
    "transactionId" : "13770307919",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "COMPLETE",
    "type" : "PAYOUT",
    "amount" : 1000.00,
    "consumerSpend" : 1000.00,
    "currency" : "GBP",
    "transactionTime" : "2021-05-14T14:53:12.735+01:00",
    "receivedTime" : "2021-05-14T14:53:12.735+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Authorised"
  },
  "trace" : "Ty5wNVvDvnXEdVuvXVXCA_A",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://secure.mite.pay360.com/acceptor/rest/transactions/111111/13770307919"
  } ]
}
Process a payout with a Google Pay Android device token payment method
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/payout
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "apiVersion" : "2.0",
      "paymentData" : {
        "token" : "{\"signature\":\"MEUCIQCn1Na58ow6gGTGlW57wTRI9HuxWsMJCv7haX0y+ZKN8AIgTWobnsqCu4feL6BoNNoNcLMWyFMFwIRKpviH5cVyVXU\\u003d\",\"intermediateSigningKey\":{\"signedKey\":\"{\\\"keyValue\\\":\\\"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEaMpNqAWfpy3jD9G24ZKM12TbMnD++kQHshEtQ2Sk0F/TJqUI6DOEm1HgBDdaNzQp+G0QkDk9sE7zFIAF+7nlhw\\\\u003d\\\\u003d\\\",\\\"keyExpiration\\\":\\\"1621642426597\\\"}\",\"signatures\":[\"MEUCIQDtdBQNemVeL4Loug2s/GAiCVAmw4JihZdIyDsQ/orT/QIgU8ZFBr/LONp+btDKQbRCYQA71JngL03VQsi693IMRxA\\u003d\"]},\"protocolVersion\":\"ECv2\",\"signedMessage\":\"{\\\"encryptedMessage\\\":\\\"/sFOQvfrtNUE8CBGVgwx8DtoLvfZ2stZJKbLAr/iKkg6TOM6wpMWqy7rPZqGJhNHmOT94kQbDoEhUj4vMXhtkb9Xd4BrC56kLqT4A1anjVxEAA+y3yozs+v4ZI3XEBbzXBpbNynTz3vr3y743hZ1DxVRj3ghy8jY972jh0LFvfB/DNogFZBXrgUXYr4GEnw0OyXMPeQ9h1Utrc74qtpUfIC0zbqn/ID2EWxG+mqFjs5M+/HSMxza9VeeKRfc1XiZue6X2ZWcMQaWGBR/cSy+J/D8sxoyBGaeAGpj6B9V1jSrO5Y35Q2s0T42q9cjMBsG0+yStZu/a4hUNw4T8bjRpM9AXx8XF9CocyAYnDpX1s/l1wIBMr2POcjormt3MqWTjctMXs/6GdGf0m32IdgmzSYXvRfGykXZk1oPoYdRILqljOxXjkbO4vS+ncQtiy7jAJIpB1V6dos5eB4UcVZXxT0hCmE8vxrEC59QY3hArkv/1FVWniH05l5uowKJFF4+k+qXjU85t4wCuYoFQg8POR69wvwMPZr2VFcKLAJeSWx+5ULoXs8Wh/7YJYeKvCRq6641\\\",\\\"ephemeralPublicKey\\\":\\\"BJuCwd8kG3RTwMcbmFPxSAsCtDo65C8RUm1K1wucEkZKzUcHnnyqo3OJlhWJVB301PpzoqkRv7cAW+ZGCrSvDdw\\\\u003d\\\",\\\"tag\\\":\\\"mjkNVHFAwTQNPAFpr27VZkyTKDrfrJQ0cNHoBgmQwCM\\\\u003d\\\"}\"}"
      },
      "paymentMethod" : {
        "displayName" : "Visa •••• 2222",
        "network" : "VISA",
        "details" : "2222",
        "cardHolderName" : "Mr Test"
      }
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/payout" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "apiVersion" : "2.0",
      "paymentData" : {
        "token" : "{\"signature\":\"MEUCIQCn1Na58ow6gGTGlW57wTRI9HuxWsMJCv7haX0y+ZKN8AIgTWobnsqCu4feL6BoNNoNcLMWyFMFwIRKpviH5cVyVXU\\u003d\",\"intermediateSigningKey\":{\"signedKey\":\"{\\\"keyValue\\\":\\\"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEaMpNqAWfpy3jD9G24ZKM12TbMnD++kQHshEtQ2Sk0F/TJqUI6DOEm1HgBDdaNzQp+G0QkDk9sE7zFIAF+7nlhw\\\\u003d\\\\u003d\\\",\\\"keyExpiration\\\":\\\"1621642426597\\\"}\",\"signatures\":[\"MEUCIQDtdBQNemVeL4Loug2s/GAiCVAmw4JihZdIyDsQ/orT/QIgU8ZFBr/LONp+btDKQbRCYQA71JngL03VQsi693IMRxA\\u003d\"]},\"protocolVersion\":\"ECv2\",\"signedMessage\":\"{\\\"encryptedMessage\\\":\\\"/sFOQvfrtNUE8CBGVgwx8DtoLvfZ2stZJKbLAr/iKkg6TOM6wpMWqy7rPZqGJhNHmOT94kQbDoEhUj4vMXhtkb9Xd4BrC56kLqT4A1anjVxEAA+y3yozs+v4ZI3XEBbzXBpbNynTz3vr3y743hZ1DxVRj3ghy8jY972jh0LFvfB/DNogFZBXrgUXYr4GEnw0OyXMPeQ9h1Utrc74qtpUfIC0zbqn/ID2EWxG+mqFjs5M+/HSMxza9VeeKRfc1XiZue6X2ZWcMQaWGBR/cSy+J/D8sxoyBGaeAGpj6B9V1jSrO5Y35Q2s0T42q9cjMBsG0+yStZu/a4hUNw4T8bjRpM9AXx8XF9CocyAYnDpX1s/l1wIBMr2POcjormt3MqWTjctMXs/6GdGf0m32IdgmzSYXvRfGykXZk1oPoYdRILqljOxXjkbO4vS+ncQtiy7jAJIpB1V6dos5eB4UcVZXxT0hCmE8vxrEC59QY3hArkv/1FVWniH05l5uowKJFF4+k+qXjU85t4wCuYoFQg8POR69wvwMPZr2VFcKLAJeSWx+5ULoXs8Wh/7YJYeKvCRq6641\\\",\\\"ephemeralPublicKey\\\":\\\"BJuCwd8kG3RTwMcbmFPxSAsCtDo65C8RUm1K1wucEkZKzUcHnnyqo3OJlhWJVB301PpzoqkRv7cAW+ZGCrSvDdw\\\\u003d\\\",\\\"tag\\\":\\\"mjkNVHFAwTQNPAFpr27VZkyTKDrfrJQ0cNHoBgmQwCM\\\\u003d\\\"}\"}"
      },
      "paymentMethod" : {
        "displayName" : "Visa •••• 2222",
        "network" : "VISA",
        "details" : "2222",
        "cardHolderName" : "Mr Test"
      }
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "MANAGE",
    "authResponse" : {
      "acquirerName" : "Chase Paymentech",
      "gatewayReference" : "120gbp8cd08c5e44bd1fcACee1000z00",
      "gatewayCode" : "000.000.000",
      "gatewayMessage" : "Transaction succeeded",
      "status" : "AUTHORISED"
    },
    "route" : "PAYON"
  },
  "paymentMethod" : {
    "registered" : true,
    "googlepay" : {
      "displayName" : "Visa •••• 2222",
      "cardScheme" : "VISA",
      "savedAccountToken" : "MT_QR7nYNupRz-bpKFDt1pFSA",
      "cardDetails" : "2222",
      "cardHolderName" : "Mr Test"
    },
    "billingAddress" : { },
    "paymentClass" : "CARD"
  },
  "customFields" : {
    "fieldState" : [ ]
  },
  "customer" : {
    "id" : "10503",
    "merchantRef" : "mer_cust_131241412"
  },
  "transaction" : {
    "transactionId" : "13770307918",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "COMPLETE",
    "type" : "PAYOUT",
    "amount" : 1000.00,
    "consumerSpend" : 1000.00,
    "currency" : "GBP",
    "transactionTime" : "2021-05-14T14:42:08.497+01:00",
    "receivedTime" : "2021-05-14T14:42:08.497+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Authorised"
  },
  "trace" : "T1ps0Z43yYbO9_14BpSPZvQ",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://secure.mite.pay360.com/acceptor/rest/transactions/111111/13770307918"
  } ]
}

Payouts to a saved account token

Where the payment method was registered on an earlier transaction you can send its saved account token instead of the Google Pay payment data.

Process a payout with a saved account token from a Google Page non-tokenized card payment method (FPAN)
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/payout
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "savedAccountToken" : "MT_KzyCn12bSmSAa5JUPx8zhw"
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/payout" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "savedAccountToken" : "MT_KzyCn12bSmSAa5JUPx8zhw"
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "MANAGE",
    "authResponse" : {
      "acquirerName" : "Chase Paymentech",
      "gatewayReference" : "120gbp8ca555f1766197bACee1000z00",
      "gatewayCode" : "000.000.000",
      "gatewayMessage" : "Transaction succeeded",
      "status" : "AUTHORISED"
    },
    "route" : "PAYON"
  },
  "paymentMethod" : {
    "registered" : true,
    "card" : {
      "cardToken" : "MT_KzyCn12bSmSAa5JUPx8zhw",
      "cardFingerprint" : "Q1MtNjNkYTQ2ZWItZjMxOS00NzE2LThmODQtMjZkZDUwZjE5NjA3",
      "new" : false,
      "cardType" : "VISA_CREDIT",
      "cardUsageType" : "CREDIT",
      "cardScheme" : "VISA",
      "cardCategory" : "CREDIT",
      "maskedPan" : "411111******1111",
      "expiryDate" : "1226",
      "issuer" : "UNKNOWN",
      "issuerCountry" : "GBR",
      "cardHolderName" : "Mr Test",
      "source" : "GOOGLEPAY"
    },
    "billingAddress" : { },
    "paymentClass" : "CARD"
  },
  "customFields" : {
    "fieldState" : [ ]
  },
  "customer" : {
    "id" : "10503",
    "merchantRef" : "mer_cust_131241412"
  },
  "transaction" : {
    "transactionId" : "13770307927",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "COMPLETE",
    "type" : "PAYOUT",
    "amount" : 1000.00,
    "consumerSpend" : 1000.00,
    "currency" : "GBP",
    "transactionTime" : "2021-05-17T17:03:35.505+01:00",
    "receivedTime" : "2021-05-17T17:03:35.505+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Authorised"
  },
  "trace" : "TsiUfjWfxTQD9fMa5fmlfIw",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://secure.mite.pay360.com/acceptor/rest/transactions/111111/13770307927"
  } ]
}
Process a payout with a saved account token from an Android device token payment method (DPAN)
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/payout
Request body
{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "savedAccountToken" : "MT_qRUctdGGQ6GYOoBUpOWUeQ"
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/payout" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction" : {
    "currency" : "GBP",
    "amount" : 1000.0,
    "description" : "Sample Transaction",
    "merchantRef" : "mer_txn_1234556",
    "commerceType" : "ECOM"
  },
  "paymentMethod" : {
    "googlepay" : {
      "savedAccountToken" : "MT_qRUctdGGQ6GYOoBUpOWUeQ"
    }
  },
  "customer" : {
    "merchantRef" : "mer_cust_131241412",
    "displayName" : "John Smith",
    "billingAddress" : {
      "line1" : "1 Some Street",
      "city" : "Metropolis",
      "postcode" : "AA1 1AA",
      "countryCode" : "GBR"
    },
    "email" : "[email protected]",
    "dateOfBirth" : "1995-11-20",
    "telephone" : "0123 456 789",
    "defaultCurrency" : "GBP",
    "ip" : "212.58.253.67"
  }
}'
Response
HTTP/1.1 201

{
  "processing" : {
    "model" : "MANAGE",
    "authResponse" : {
      "acquirerName" : "Chase Paymentech",
      "gatewayReference" : "120gbp291d0e20ef5f6ebACee1000z00",
      "gatewayCode" : "000.000.000",
      "gatewayMessage" : "Transaction succeeded",
      "status" : "AUTHORISED"
    },
    "route" : "PAYON"
  },
  "paymentMethod" : {
    "registered" : true,
    "googlepay" : {
      "displayName" : "Visa •••• 2222",
      "savedAccountToken" : "MT_qRUctdGGQ6GYOoBUpOWUeQ",
      "cardHolderName" : "Mr Card Holder"
    },
    "billingAddress" : { },
    "paymentClass" : "CARD"
  },
  "customFields" : {
    "fieldState" : [ ]
  },
  "customer" : {
    "id" : "10503",
    "merchantRef" : "mer_cust_131241412"
  },
  "transaction" : {
    "transactionId" : "10910753507",
    "merchantRef" : "mer_txn_1234556",
    "merchantDescription" : "Sample Transaction",
    "status" : "SUCCESS",
    "stage" : "COMPLETE",
    "type" : "PAYOUT",
    "amount" : 1000.00,
    "consumerSpend" : 1000.00,
    "currency" : "GBP",
    "transactionTime" : "2021-05-17T17:32:16.101+01:00",
    "receivedTime" : "2021-05-17T17:32:16.101+01:00"
  },
  "outcome" : {
    "status" : "SUCCESS",
    "reasonCode" : "S100",
    "reasonMessage" : "Authorised"
  },
  "trace" : "Tj8RhtVddwGevzjxp16cacQ",
  "link" : [ {
    "rel" : "transaction",
    "href" : "https://secure.mite.pay360.com/acceptor/rest/transactions/111111/10910753507"
  } ]
}

When using the PaySuite Payment Page

The PaySuite Payment Page has an integration to the Google Pay JavaScript API so you will not need to integrate directly with Google.

Using Google Pay on the PaySuite Payment Page is no different from using it for regular card payments; as long as your account is configured for Google Pay then you should see Google Pay as a payment option. See Pay to Customer for full details and example requests.